﻿
--
-- Script was generated by Devart dbForge Studio for MySQL, Version 8.0.40.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 12/07/2019 20:01:18
-- Server version: 5.5.5-10.1.40-MariaDB
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

--
-- Set default database
--
USE friking;

--
-- Drop table `detalles`
--
DROP TABLE IF EXISTS detalles;

--
-- Drop table `camiseta`
--
DROP TABLE IF EXISTS camiseta;

--
-- Drop table `facturas`
--
DROP TABLE IF EXISTS facturas;

--
-- Drop table `proveedores`
--
DROP TABLE IF EXISTS proveedores;

--
-- Set default database
--
USE friking;

--
-- Create table `proveedores`
--
CREATE TABLE proveedores (
  cif int(11) NOT NULL AUTO_INCREMENT,
  nombre varchar(31) DEFAULT NULL,
  email varchar(63) DEFAULT NULL,
  PRIMARY KEY (cif),
  UNIQUE INDEX cif (cif)
)
ENGINE = INNODB,
AUTO_INCREMENT = 9342125,
AVG_ROW_LENGTH = 163,
CHARACTER SET utf8,
COLLATE utf8_spanish_ci;

--
-- Create table `facturas`
--
CREATE TABLE facturas (
  idfactura int(11) NOT NULL AUTO_INCREMENT,
  cif int(11) DEFAULT NULL,
  fecha date DEFAULT NULL,
  total int(11) DEFAULT NULL,
  PRIMARY KEY (idfactura),
  UNIQUE INDEX idfactura (idfactura)
)
ENGINE = INNODB,
AUTO_INCREMENT = 101,
AVG_ROW_LENGTH = 163,
CHARACTER SET utf8,
COLLATE utf8_spanish_ci;

--
-- Create foreign key
--
ALTER TABLE facturas
ADD CONSTRAINT facturas_ibfk_1 FOREIGN KEY (cif)
REFERENCES proveedores (cif);

--
-- Create table `camiseta`
--
CREATE TABLE camiseta (
  codigo int(11) NOT NULL AUTO_INCREMENT,
  precio int(11) DEFAULT NULL,
  talla varchar(1) DEFAULT NULL,
  descripcion varchar(63) DEFAULT NULL,
  PRIMARY KEY (codigo)
)
ENGINE = INNODB,
AUTO_INCREMENT = 101,
AVG_ROW_LENGTH = 163,
CHARACTER SET utf8,
COLLATE utf8_spanish_ci;

--
-- Create table `detalles`
--
CREATE OR REPLACE TABLE detalles (
  id int AUTO_INCREMENT PRIMARY KEY,
  codigo int(11) DEFAULT NULL,
  idfactura int(11) DEFAULT NULL,
  cantidad int(11) DEFAULT NULL,
  UNIQUE(codigo, idfactura)
)


ENGINE = INNODB,
AVG_ROW_LENGTH = 163,
CHARACTER SET utf8,
COLLATE utf8_spanish_ci;

--
-- Create foreign key
--
ALTER TABLE detalles
ADD CONSTRAINT detalles_ibfk_1 FOREIGN KEY (codigo)
REFERENCES camiseta (codigo);

--
-- Create foreign key
--
ALTER TABLE detalles
ADD CONSTRAINT detalles_ibfk_2 FOREIGN KEY (idfactura)
REFERENCES facturas (idfactura);

-- 
-- Dumping data for table proveedores
--
INSERT INTO proveedores VALUES
(142198, 'Manufacturing', 'Zack_Mcnair199@example.com'),
(142199, 'Information Technology', 'vbzbfpb0034@nowhere.com'),
(142200, 'Research and Development', 'AlfredoL_Slone863@example.com'),
(142201, 'Human Resources', 'Eugenia.Halsey@example.com'),
(1142198, 'Executive', 'Moreno@nowhere.com'),
(1142199, 'Sales', 'Williford893@example.com'),
(1142200, 'Sales', 'AlaynaMcafee87@nowhere.com'),
(1142201, 'Sales', 'ThomasTruitt7@example.com'),
(1142202, 'Information Technology', 'Costa726@example.com'),
(2532975, 'Sales', 'TaggartY@example.com'),
(2532976, 'Research and Development', 'FlorencioF_Marlow7@nowhere.com'),
(2532977, 'Marketing', 'kqavbr3100@example.com'),
(2532978, 'Executive', 'Abney@nowhere.com'),
(2532979, 'Executive', 'Acosta@example.com'),
(2532980, 'Sales', 'Baugh@example.com'),
(2532981, 'Information Technology', 'Rock@example.com'),
(2532982, 'Sales', 'Cloutier452@example.com'),
(2532983, 'Information Technology', 'Mueller1@nowhere.com'),
(2532984, 'Executive', 'AbelM@nowhere.com'),
(2532985, 'Finance', 'LeslieHartley97@example.com'),
(3532976, 'Sales', 'tsredn9393@example.com'),
(3532977, 'Consulting', 'Enoch_Tillery@nowhere.com'),
(3532978, 'Information Technology', 'Fortner@nowhere.com'),
(3532979, 'Information Technology', 'Mac_Amaya79@nowhere.com'),
(3532980, 'Research and Development', 'AbernathyF@nowhere.com'),
(3532981, 'Facilities', 'Perryman455@nowhere.com'),
(3532982, 'Information Technology', 'Beau_Alba@example.com'),
(3532983, 'Information Technology', 'Menendez@example.com'),
(3532984, 'Operations', 'Cinderella.QDonald1@example.com'),
(3532985, 'Marketing', 'aacuxykv_oezjkvuvl@example.com'),
(3532986, 'Marketing', 'OzieAbel@example.com'),
(4974441, 'Customer Support', 'NorrisCalderon@example.com'),
(4974442, 'Information Technology', 'AdanHuerta523@example.com'),
(4974443, 'Manufacturing', 'fazsmgzr.vbbx@example.com'),
(4974444, 'Consulting', 'Drew_Brennan3@nowhere.com'),
(4974445, 'Customer Support', 'Winn@example.com'),
(4974446, 'Executive', 'TeofilaE_Fowler@nowhere.com'),
(4974447, 'Customer Support', 'aiqd9077@nowhere.com'),
(4974448, 'Information Technology', 'AdelinaCantrell993@example.com'),
(4974449, 'Research and Development', 'Gilley81@example.com'),
(4974450, 'Sales', 'Gleason3@example.com'),
(4974451, 'Manufacturing', 'wpmrqpzi8@example.com'),
(5974442, 'Consulting', 'Houser@example.com'),
(5974443, 'Consulting', 'Abrams@example.com'),
(5974444, 'Research and Development', 'Cota424@example.com'),
(5974445, 'Marketing', 'Anthony_Stacey38@example.com'),
(5974446, 'Finance', 'Fletcher_Teague@nowhere.com'),
(5974447, 'Marketing', 'Waldo.BBillingsley31@example.com'),
(5974448, 'Sales', 'FerdinandKWaddell@example.com'),
(5974449, 'Manufacturing', 'Alexander@example.com'),
(5974450, 'Marketing', 'zkewgueg306@example.com'),
(5974451, 'Information Technology', 'Barton.Mullis18@example.com'),
(6217765, 'Finance', 'oytxgpgm.ebekzhq@example.com'),
(6217766, 'Research and Development', 'DinoJaeger742@example.com'),
(6217767, 'Executive', 'Slone@nowhere.com'),
(6217768, 'Sales', 'Sharpe26@example.com'),
(6217769, 'Executive', 'Forrest718@nowhere.com'),
(6217770, 'Operations', 'ztxqv9633@example.com'),
(6217771, 'Executive', 'Abel.Abrams428@example.com'),
(6217772, 'Operations', 'Beckman@nowhere.com'),
(6217773, 'Research and Development', 'isvrn5746@example.com'),
(7217765, 'Research and Development', 'JoeannPHuang@example.com'),
(7217766, 'Finance', 'GerryBarrow@example.com'),
(7217767, 'Research and Development', 'stnhpti6@nowhere.com'),
(7217768, 'Finance', 'Roush@example.com'),
(7217769, 'Customer Support', 'MichalEdmond@example.com'),
(7217770, 'Executive', 'Kahn738@example.com'),
(7217771, 'Sales', 'Jameson6@example.com'),
(7217772, 'Manufacturing', 'FlorencioPerrin492@example.com'),
(7217773, 'Information Technology', 'ElmoPearson@example.com'),
(8342113, 'Executive', 'LoydBranham258@example.com'),
(8342114, 'Facilities', 'Burgos@nowhere.com'),
(8342115, 'Sales', 'MorrisAbraham@example.com'),
(8342116, 'Sales', 'CharlieNoriega688@example.com'),
(8342117, 'Research and Development', 'sneygl8904@example.com'),
(8342118, 'Executive', 'LeighP_Redding7@example.com'),
(8342119, 'Sales', 'mlocd761@example.com'),
(8342120, 'Customer Support', 'Stiltner@example.com'),
(8342121, 'Information Technology', 'Alisia.Stout@nowhere.com'),
(8342122, 'Marketing', 'Benitez@example.com'),
(8342123, 'Manufacturing', 'Youngblood139@example.com'),
(8342124, 'Operations', 'RayfordLouis249@example.com'),
(8342125, 'Finance', 'Ezell899@nowhere.com'),
(8342126, 'Executive', 'Abdul_Nunez@nowhere.com'),
(8342127, 'Executive', 'Quyen.Holliday@example.com'),
(9342110, 'Research and Development', 'Ada_Anglin6@nowhere.com'),
(9342111, 'Information Technology', 'SamuelGunn@example.com'),
(9342112, 'Executive', 'Iliana.Acevedo52@example.com'),
(9342113, 'Finance', 'Rigby@example.com'),
(9342114, 'Finance', 'Brant.Abreu@example.com'),
(9342115, 'Finance', 'Mccue@example.com'),
(9342116, 'Research and Development', 'Montoya@nowhere.com'),
(9342117, 'Customer Support', 'Aguilera912@nowhere.com'),
(9342118, 'Consulting', 'Abraham6@example.com'),
(9342119, 'Finance', 'efor1215@example.com'),
(9342120, 'Executive', 'Emerson.Coombs@example.com'),
(9342121, 'Sales', 'Damian_XAlba@example.com'),
(9342122, 'Finance', 'BeauSibley215@example.com'),
(9342123, 'Information Technology', 'sqzb8990@example.com'),
(9342124, 'Human Resources', 'DanutaHeard9@example.com');

-- 
-- Dumping data for table facturas
--
INSERT INTO facturas VALUES
(1, 9342120, '2003-10-11', 294),
(2, 8342126, '1970-01-07', 520),
(3, 7217767, '1970-01-09', 1287),
(4, 142199, '1975-03-15', 1353),
(5, 9342118, '1970-01-01', 938),
(6, 8342126, '1996-11-25', 1410),
(7, 5974443, '2007-01-28', 930),
(8, 5974444, '1983-01-20', 1827),
(9, 6217768, '1976-09-28', 1501),
(10, 5974446, '2008-07-25', 1547),
(11, 9342119, '1982-02-13', 461),
(12, 7217768, '1994-06-29', 414),
(13, 8342114, '1979-03-08', 894),
(14, 5974443, '2019-07-04', 720),
(15, 6217768, '1993-04-01', 823),
(16, 5974445, '1972-02-02', 947),
(17, 8342113, '1989-09-14', 471),
(18, 2532977, '1970-01-03', 145),
(19, 2532984, '1987-02-25', 1707),
(20, 2532984, '2001-10-20', 1270),
(21, 9342110, '1972-04-28', 125),
(22, 6217770, '1970-01-05', 1437),
(23, 4974443, '1970-01-02', 1352),
(24, 5974444, '1997-06-18', 1804),
(25, 8342127, '1971-10-31', 887),
(26, 4974446, '1992-06-21', 1499),
(27, 2532980, '1972-06-06', 308),
(28, 3532980, '1970-01-02', 1713),
(29, 4974450, '1971-07-02', 1526),
(30, 6217769, '1993-12-11', 220),
(31, 4974446, '1999-07-25', 948),
(32, 9342117, '1979-08-25', 1924),
(33, 5974447, '1971-06-09', 450),
(34, 8342126, '2000-01-13', 915),
(35, 5974447, '1970-02-23', 1413),
(36, 5974447, '1972-06-10', 247),
(37, 9342110, '1982-01-18', 1894),
(38, 8342116, '1970-01-07', 1121),
(39, 6217772, '1977-11-12', 781),
(40, 4974441, '1970-04-08', 1721),
(41, 8342116, '1979-02-07', 1073),
(42, 8342124, '2013-08-22', 366),
(43, 9342112, '1971-06-16', 492),
(44, 3532982, '2001-12-05', 169),
(45, 9342119, '1981-10-20', 585),
(46, 8342127, '1976-10-11', 263),
(47, 8342114, '1970-11-01', 711),
(48, 4974451, '1970-10-12', 1758),
(49, 8342121, '2008-07-09', 710),
(50, 9342113, '1983-08-19', 391),
(51, 7217769, '1997-05-02', 1366),
(52, 3532981, '1987-09-01', 576),
(53, 5974443, '1970-02-08', 1343),
(54, 4974451, '2000-10-01', 940),
(55, 6217767, '2009-11-28', 850),
(56, 9342119, '2012-11-21', 946),
(57, 5974444, '2010-10-09', 429),
(58, 4974450, '1973-04-21', 547),
(59, 9342120, '2013-06-19', 699),
(60, 2532985, '2013-01-27', 1890),
(61, 9342113, '1991-01-14', 1811),
(62, 9342114, '1981-11-17', 1117),
(63, 9342110, '1974-06-05', 1912),
(64, 4974447, '1995-07-30', 570),
(65, 3532977, '1974-02-02', 1594),
(66, 1142200, '1970-04-08', 1438),
(67, 142200, '1992-06-29', 215),
(68, 3532982, '2008-11-05', 1324),
(69, 7217771, '1995-08-17', 1515),
(70, 3532985, '1971-07-25', 1098),
(71, 8342123, '1970-01-01', 1768),
(72, 9342121, '1991-03-10', 1276),
(73, 142199, '1987-02-01', 784),
(74, 3532976, '1978-04-24', 99),
(75, 3532978, '2013-07-07', 252),
(76, 8342118, '1970-01-01', 982),
(77, 6217772, '1976-01-03', 226),
(78, 6217770, '1995-12-29', 221),
(79, 6217772, '1998-02-11', 126),
(80, 9342115, '2001-09-27', 427),
(81, 5974442, '1970-04-10', 1473),
(82, 5974448, '1970-01-02', 1571),
(83, 1142202, '2014-12-02', 456),
(84, 5974450, '1980-02-18', 1061),
(85, 5974442, '1972-09-15', 682),
(86, 9342118, '2004-02-01', 592),
(87, 8342113, '2019-04-10', 941),
(88, 7217773, '1970-12-30', 984),
(89, 8342118, '2017-12-23', 1134),
(90, 5974446, '1973-02-25', 187),
(91, 3532981, '1984-07-28', 1522),
(92, 2532982, '2011-04-03', 1043),
(93, 7217770, '1985-06-18', 1303),
(94, 4974441, '1989-03-16', 506),
(95, 1142198, '1971-02-21', 605),
(96, 3532984, '2012-09-29', 1216),
(97, 2532983, '1972-07-16', 359),
(98, 2532978, '1992-02-25', 1840),
(99, 7217767, '2016-06-04', 468),
(100, 6217768, '1970-03-24', 436);

-- 
-- Dumping data for table camiseta
--
INSERT INTO camiseta VALUES
(1, 969, 'L', 'MediumTealBlue'),
(2, 601, 'S', 'LavenderRose'),
(3, 754, 'X', 'MediumTurquoise'),
(4, 1176, 'M', 'Rose'),
(5, 1480, 'S', 'ZinnwalditeBrown'),
(6, 962, 'L', 'Cyan'),
(7, 954, 'M', 'Sand'),
(8, 1075, 'X', 'TrueBlue'),
(9, 1152, 'L', 'EarthYellow'),
(10, 421, 'S', 'Almond'),
(11, 399, 'X', 'Daffodil'),
(12, 491, 'M', 'ParisGreen'),
(13, 920, 'L', 'SandDune'),
(14, 879, 'S', 'LawnGreen'),
(15, 681, 'X', 'MediumVioletRed'),
(16, 827, 'M', 'Ecru'),
(17, 825, 'M', 'Dandelion'),
(18, 772, 'X', 'Eggplant'),
(19, 301, 'L', 'TuftsBlue'),
(20, 1129, 'S', 'RoseBonbon'),
(21, 1578, 'M', 'PastelBlue'),
(22, 1220, 'S', 'Sandstorm'),
(23, 1421, 'L', 'Tumbleweed'),
(24, 205, 'X', 'BulgarianRose'),
(25, 1295, 'X', 'Amaranth'),
(26, 960, 'S', 'Burgundy'),
(27, 244, 'M', 'SandyBrown'),
(28, 1558, 'L', 'TurkishRose'),
(29, 1300, 'L', 'Amber'),
(30, 1787, 'M', 'RoseEbony'),
(31, 372, 'S', 'PastelBrown'),
(32, 835, 'X', 'SandyTaupe'),
(33, 943, 'M', 'Turquoise'),
(34, 1954, 'S', 'SapGreen'),
(35, 1255, 'L', 'Lemon'),
(36, 550, 'X', 'Burlywood'),
(37, 1501, 'M', 'AmericanRose'),
(38, 118, 'X', 'TurquoiseBlue'),
(39, 521, 'S', 'Melon'),
(40, 484, 'L', 'LemonYellow'),
(41, 680, 'S', 'MidnightBlue'),
(42, 189, 'L', 'Sapphire'),
(43, 1186, 'X', 'LemonChiffon'),
(44, 1295, 'M', 'MidnightGreen'),
(45, 332, 'S', 'DarkBlue'),
(46, 147, 'M', 'LemonLime'),
(47, 1408, 'X', 'TurquoiseGreen'),
(48, 830, 'L', 'MikadoYellow'),
(49, 945, 'L', 'RoseGold'),
(50, 1916, 'S', 'PastelGray'),
(51, 697, 'M', 'BurntOrange'),
(52, 1618, 'X', 'Amethyst'),
(53, 931, 'M', 'Eggshell'),
(54, 805, 'L', 'LightCrimson'),
(55, 1663, 'X', 'RoseMadder'),
(56, 1855, 'S', 'DarkBrown'),
(57, 524, 'S', 'PastelGreen'),
(58, 755, 'X', 'SatinSheenGold'),
(59, 715, 'L', 'EgyptianBlue'),
(60, 742, 'M', 'Mint'),
(61, 223, 'S', 'TuscanRed'),
(62, 254, 'X', 'DarkByzantium'),
(63, 1844, 'L', 'LightThulianPink'),
(64, 174, 'M', 'BurntSienna'),
(65, 1844, 'X', 'Scarlet'),
(66, 570, 'M', 'MintCream'),
(67, 1984, 'L', 'TwilightLavender'),
(68, 1079, 'S', 'AndroidGreen'),
(69, 1395, 'X', 'BurntUmber'),
(70, 990, 'L', 'LightApricot'),
(71, 1317, 'S', 'RosePink'),
(72, 1315, 'M', 'MintGreen'),
(73, 367, 'L', 'ElectricBlue'),
(74, 835, 'S', 'DarkCandyAppleRed'),
(75, 397, 'M', 'PastelMagenta'),
(76, 742, 'X', 'LightBlue'),
(77, 648, 'S', 'SchoolBusYellow'),
(78, 1198, 'L', 'AntiqueBrass'),
(79, 452, 'M', 'RoseQuartz'),
(80, 800, 'X', 'MistyRose'),
(81, 849, 'X', 'PastelOrange'),
(82, 102, 'M', 'ElectricCrimson'),
(83, 887, 'S', 'LightBrown'),
(84, 1561, 'L', 'DarkCerulean'),
(85, 1968, 'M', 'RoseTaupe'),
(86, 716, 'X', 'PastelPink'),
(87, 1063, 'L', 'Moccasin'),
(88, 327, 'S', 'TyrianPurple'),
(89, 181, 'X', 'RoseVale'),
(90, 1163, 'S', 'LightCarminePink'),
(91, 304, 'L', 'ModeBeige'),
(92, 114, 'M', 'ScreaminGreen'),
(93, 705, 'S', 'LightCoral'),
(94, 1963, 'M', 'MoonstoneBlue'),
(95, 674, 'L', 'LightCornflowerBlue'),
(96, 395, 'X', 'UltraPink'),
(97, 763, 'L', 'MossGreen'),
(98, 1075, 'S', 'SeaBlue'),
(99, 401, 'X', 'LightCyan'),
(100, 1105, 'M', 'Byzantine');

-- 
-- Dumping data for table detalles
--
INSERT IGNORE INTO detalles (codigo, idfactura, cantidad) VALUES
(74, 53, 2),
(60, 23, 2),
(21, 18, 7),
(78, 42, 4),
(34, 20, 4),
(14, 96, 14),
(63, 30, 7),
(89, 68, 2),
(12, 69, 2),
(20, 47, 3),
(8, 89, 9),
(4, 3, 11),
(81, 27, 15),
(77, 61, 3),
(79, 60, 9),
(33, 69, 15),
(26, 2, 1),
(88, 34, 4),
(83, 79, 9),
(13, 24, 4),
(28, 14, 2),
(2, 10, 10),
(36, 83, 8),
(97, 12, 8),
(93, 15, 5),
(76, 34, 8),
(91, 32, 15),
(7, 20, 2),
(57, 84, 6),
(62, 86, 10),
(15, 5, 4),
(10, 66, 3),
(83, 8, 1),
(85, 94, 14),
(94, 60, 6),
(56, 72, 10),
(89, 1, 10),
(99, 91, 15),
(48, 63, 8),
(6, 41, 15),
(18, 55, 8),
(77, 80, 11),
(73, 3, 11),
(90, 94, 4),
(65, 54, 3),
(38, 25, 15),
(49, 84, 13),
(91, 86, 7),
(17, 43, 10),
(72, 24, 4),
(77, 46, 8),
(55, 78, 10),
(85, 11, 1),
(25, 23, 12),
(77, 98, 4),
(65, 50, 7),
(51, 49, 2),
(21, 18, 10),
(40, 57, 15),
(64, 26, 7),
(5, 71, 13),
(99, 60, 1),
(76, 68, 10),
(41, 21, 14),
(82, 4, 3),
(75, 95, 12),
(90, 77, 9),
(79, 100, 4),
(22, 11, 10),
(83, 54, 14),
(44, 25, 5),
(45, 60, 7),
(11, 16, 11),
(99, 37, 13),
(69, 72, 8),
(74, 12, 9),
(42, 93, 5),
(17, 42, 7),
(49, 77, 5),
(43, 8, 13),
(43, 71, 7),
(26, 73, 7),
(75, 39, 10),
(17, 28, 11),
(37, 8, 4),
(94, 36, 15),
(24, 20, 7),
(41, 4, 11),
(57, 63, 1),
(23, 12, 3),
(33, 30, 14),
(69, 90, 7),
(38, 38, 3),
(90, 100, 8),
(17, 35, 5),
(81, 87, 13),
(72, 97, 12),
(24, 54, 12),
(91, 81, 7),
(34, 24, 9);

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;